Last Comment Bug 762128 - JavaScript Error: "cpmm is null" {file: "file:///Volumes/mac/code/2/build/dist/B2GDebug.app/Contents/MacOS/components/SettingsManager.js" line: 277
: JavaScript Error: "cpmm is null" {file: "file:///Volumes/mac/code/2/build/dis...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla16
Assigned To: Christoph Kerschbaumer [:ckerschb]
:
Mentors:
Depends on:
Blocks: 753862
  Show dependency treegraph
 
Reported: 2012-06-06 10:30 PDT by Gregor Wagner [:gwagner]
Modified: 2012-06-08 04:19 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
followed gwagner's advice and removed cpmm = null; (852 bytes, patch)
2012-06-06 15:50 PDT, Christoph Kerschbaumer [:ckerschb]
fabrice: review+
Details | Diff | Splinter Review

Description Gregor Wagner [:gwagner] 2012-06-06 10:30:57 PDT
In a debug b2g desktop build during startup I see
************************************************************
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "'[JavaScript Error: "cpmm is null" {file: "file:///Volumes/mac/code/2/build/dist/B2GDebug.app/Contents/MacOS/components/SettingsManager.js" line: 277}]' when calling method: [nsIObserver::observe]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0"  data: yes]
************************************************************
************************************************************
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "'[JavaScript Error: "cpmm is null" {file: "file:///Volumes/mac/code/2/build/dist/B2GDebug.app/Contents/MacOS/components/SettingsManager.js" line: 277}]' when calling method: [nsIObserver::observe]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0"  data: yes]
************************************************************
************************************************************
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "'[JavaScript Error: "cpmm is null" {file: "file:///Volumes/mac/code/2/build/dist/B2GDebug.app/Contents/MacOS/components/SettingsManager.js" line: 277}]' when calling method: [nsIObserver::observe]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0"  data: yes]
************************************************************
************************************************************
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "'[JavaScript Error: "cpmm is null" {file: "file:///Volumes/mac/code/2/build/dist/B2GDebug.app/Contents/MacOS/components/SettingsManager.js" line: 277}]' when calling method: [nsIObserver::observe]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0"  data: yes]
************************************************************
Comment 1 Gregor Wagner [:gwagner] 2012-06-06 11:44:10 PDT
So one solution is to remove the line https://mxr.mozilla.org/mozilla-central/source/dom/settings/SettingsManager.js#283
cpmm is shared here. We also don't set cpmm to null in the DOMRequestHelper.
The only quesiton is if this would cause a leak.
Comment 2 Gregor Wagner [:gwagner] 2012-06-06 13:52:39 PDT
After a discussion with mrbkap we decided that it's best to just remove the cpmm = null. It shouldn't leak.
Comment 3 Christoph Kerschbaumer [:ckerschb] 2012-06-06 15:50:37 PDT
Created attachment 630749 [details] [diff] [review]
followed gwagner's advice and removed cpmm = null;
Comment 5 Philipp von Weitershausen [:philikon] 2012-06-07 15:18:30 PDT
(In reply to Gregor Wagner [:gwagner] from comment #2)
> After a discussion with mrbkap we decided that it's best to just remove the
> cpmm = null. It shouldn't leak.

I have evidence that suggests (not proves) otherwise: https://bugzilla.mozilla.org/show_bug.cgi?id=734018#c7
Comment 6 Gregor Wagner [:gwagner] 2012-06-07 15:29:29 PDT
(In reply to Philipp von Weitershausen [:philikon] from comment #5)
> (In reply to Gregor Wagner [:gwagner] from comment #2)
> > After a discussion with mrbkap we decided that it's best to just remove the
> > cpmm = null. It shouldn't leak.
> 
> I have evidence that suggests (not proves) otherwise:
> https://bugzilla.mozilla.org/show_bug.cgi?id=734018#c7

mrbkap mentioned that we include many services like that and they don't leak.
Comment 7 Graeme McCutcheon [:graememcc] 2012-06-08 04:19:12 PDT
https://hg.mozilla.org/mozilla-central/rev/8d2d761e98cc

(Merged by Ed Morley)

Note You need to log in before you can comment on or make changes to this bug.